import { ContainerModule, interfaces } from 'inversify';
import { ClientTypes, IGeneratedSettings as ISettings, IContextKeyService, IEditorService, IModelService, IModeService } from '@workbench-stack/core';
import { EditorService, ModelService, ModeService, ResourceContextKey, ContextKeyService } from '../services';

export const workbenchModule: () => interfaces.ContainerModule =
() => new ContainerModule((bind: interfaces.Bind) => {
    bind<IEditorService>(ClientTypes.IEditorService).to(EditorService);
    bind<IModelService>(ClientTypes.IModelService).to(ModelService);
    bind<IModeService>(ClientTypes.IModeService).to(ModeService);
    bind<IContextKeyService>(ClientTypes.IContextKeyService).to(ContextKeyService);

    bind<ResourceContextKey>(ClientTypes.IResourceContextKey).to(ResourceContextKey);
});
